'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var StateVector = require('./StateVector');

var OpenSkyStates = function OpenSkyStates(data) {
  var _this = this;

  _classCallCheck(this, OpenSkyStates);

  if (!data.time || !data.states) throw TypeError('OpenSkyStates: data should have a time and a states property');

  if (!Array.isArray(data.states)) throw TypeError('OpenSkyStates: data.states should be an Array');

  this.time = data.time;
  this.states = [];

  data.states.forEach(function (stateData) {
    _this.states.push(new StateVector(stateData));
  });
};

module.exports = OpenSkyStates;