'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var keys = ['icao24', 'callsign', 'originCountry', 'lastPositionUpdate', 'lastContact', 'longitude', 'latitude', 'baroAltitude', 'isOnGround', 'velocityOverGround', 'heading', 'verticalRate', 'sensorSerials', 'geoAltitude', 'squawk', 'isSpi', 'positionSource'];

var StateVector = function StateVector(data) {
  var _this = this;

  _classCallCheck(this, StateVector);

  if (!data) throw Error('StateVector: no data provided');

  if (!Array.isArray(data)) throw Error('StateVector: data must be an array of values.');

  if (data.length < keys.length) throw Error('StateVector: Data length does not match the keys length');

  keys.forEach(function (key, i) {
    Object.defineProperty(_this, key, { value: data[i], enumerable: true });
  });
};

module.exports = StateVector;